* {
    margin: 0;
    padding: 0;
}

:root{
    --main-color:#C6A989;
    --secondary-color: #12769B;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Inter", sans-serif;
    overflow-x: hidden;
}

.centerTrick {
    display: flex;
    justify-content: center;
}

a {
    color: black;
    text-decoration: none;
}

nav {
    display: flex;
    justify-content: center;
    background-color: white;
    padding: 25px 0 25px 22vw;
    max-height: 32px;
    position: sticky;
    top: 0px;
    box-shadow: 3px 1px 3px rgb(140, 140, 140);
    z-index: 10000;
}

nav img{
    display: none;
}

nav ul {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
}

nav ul li {
    list-style: none;
    padding: 3vh 2vw;
    font-size: 24px;
}

header {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: column;
    background-image: url(./elements_graphiques_La_Creme/decors-fond.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    height: 700px;
}

h1 {
    padding-top: 15vh;
    padding-bottom: 2.5vh;
    font-size: 48px;
}

header h2 {
    padding-bottom: 5vh;
    font-size: 24px;
}

header img{
    width: 250px;
    height: 250px;
    background-color: white;
    border-radius: 100%;
    margin-bottom: 5vh;
}

button {
    width: 300px;
    height: 32px;
    border-radius: 10px;
    background-color: var(--main-color);
    color: white;
    font-size: 18px;
}

button:active {
    background-color: var(--secondary-color);
}

button:hover {
    border: none;
}

#uppage {
    display: block;
    position: fixed;
    z-index: 1000;
    right: 0px;
    background-color: var(--secondary-color);
    text-align: center;
    font-size: 64px;
    height: 40px;
    width: 75px;
    margin-top: 80vh;
    border-radius: 10px 0 0 10px;
}

#uppage img {
    width: 32px;
    height: 32px;
    background-color: var(--secondary-color);
    margin-bottom: 25px;
}

#equipe {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-top: 10vh;
    background-image: url(./elements_graphiques_La_Creme/fond-texture-bleu.jpg);
    background-size: 100% 200px;
    background-repeat: no-repeat;
    background-position: bottom;
}

#equipe div {
    padding: 2.5vh 0;
    margin-left: 5vw;
    width: 50vw;
}

#equipe img {
    position: relative;
    top: 25px;
    margin-right: 5vw;
    height: 500px;
}

#separateur {
    display: none;
    width: 100%;
    margin: 5vh 0;
}

#creperie {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    padding: 15vh 0;
    background-image: url(./elements_graphiques_La_Creme/brush-bleu_rotated.png);
    background-size: 150px 250px;
    background-repeat: no-repeat;
    background-position: bottom right;
}

#creperie img {
    height: 250px;
    padding-bottom: 5vh;
    margin-left: 5vw;
}

#creperie div {
    width: 50vw;
    margin-right: 5vw;
}

#imgGrid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.imgGrid {
    height: 100%;
    width: 100%;

}

.imgGrid:hover {
    cursor: pointer;
}

.imgGrid:active {
    scale: 1.5;
    transition: 0.1s;
}

#carte h2 {
    text-align: center;
    padding: 6vh 0;
    font-size: 24px;
}

#carte div {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-bottom: 5vh;
}

#carte ul {
    width: 350px;
}

#carte li {
    list-style: none;
    padding-top: 25px;
}

#reserver {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    align-items: center;
    background-image: url(./elements_graphiques_La_Creme/brush-bleu_mirrored.png);
    background-size: 225px 300px;
    background-repeat: no-repeat;
    background-position: bottom left;
    padding-top: 25px;
    padding-bottom: 100px;
}

#blockContact {
    width: 300px;
    margin-top: 1vh;
}

#blockContact h2 {
    margin-bottom: 20px;
}

#blockContact h3 {
    margin-bottom: 5px;
}

#blockContact p {
    margin-bottom: 25px;
    font-size: 16px;
}

#encartReservation {
    border: solid #B5B5B5;
    border-radius: 10px;
    padding: 3vh 2vw;
    width: 350px;
}

#encartReservation h2 {
    text-align: center;
    margin-bottom: 5vh;
}

.textBox {
    display: flex;
    justify-content: space-between;
    padding-bottom: 2vh;
}

.textBox input {
    border: solid var(--main-color);
    border-radius: 5px;
    height: 25px;
    width: 50%;
    background-color: #EEEEEE;
    padding-left: 5px;
}

.textBox input:focus {
    border-color: var(--secondary-color);
    outline-color: var(--secondary-color);
}

.horraire {
    border-top: solid var(--main-color);
    border-bottom: solid var(--main-color);
    padding: 2vh 0;
    margin-bottom: 2vh;
}

.horraire p {
    margin-bottom: 2px;
}

.horraire input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.btnHeur {

    display: block;
    background-color: var(--main-color);
    border-radius: 5px;
    padding: 7.5px;
    margin-bottom: 1vh;
    color: white;
    cursor: pointer;
}

.flexRadio {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

input:checked+label {
    background-color: var(--secondary-color);
}

#encartReservation button {
    margin-top: 2vh;
    width: 200px;
}

footer {
    display: flex;
    align-items: flex-end;
    background-color: var(--main-color);
    color: white;
    height: 75px;
    padding: 10px;
}

@media (max-width: 991px) {
    #equipe {
        background-image: none;
    }

    #equipe div {
        margin-left: 0;
    }

    #equipe img {
        position: relative;
        top: 0;
        margin-right: 0;
        height: 400px;
    }

    #separateur {
        display: block;
    }

    #creperie img {
        height: 225px;
        margin-left: 0;
    }

    #creperie div {
        width: 50vw;
        margin-right: 0;
    }
}

@media (max-width: 700px) {
    .navMobile{
        padding: 25px 15px;
        justify-content: flex-start;
    }
    
    .navMobile img{
        display: block;
    }
    
    .navMobile ul{
        display: none;
        flex-direction: column;
        justify-content: flex-start;
        width: 100%;
        background-color: white;
        position: absolute;
        left: 0px;
        margin-top: 56px;
        box-shadow: 1px 1px 0px rgb(140, 140, 140);
    }

    header h2 {
        font-size: 18px;
    }

    #equipe div {
        width: 70vw;
    }

    #creperie {
        background-image: none;
        padding: 5vh 0;
    }
    
    #creperie img{
        height: 225px;
    }

    #creperie div {
        width: 70vw;
    }

    #imgGrid {
        display: none;
    }

    #carte div{
        margin: 0 3vw;
    }

    #carteCrepe {
        padding-bottom: 50px;
        border-bottom: solid var(--main-color);
    }

    #carteGalette {
        margin-top: 50px;
    }

    #reserver{
        background-image: none;
        margin: 0 3vw;
    }

    #encartReservation {
        width: 330px;
    }

    .textBox{
        align-items: center;
        flex-direction: column;
    }

    .textBox input{
        width: 75%;
    }

    .btnHeur{
        font-size: 14px;
    }
}

@media (max-width: 350px){
    #creperie img{
        height: 175px;
    }

    #equipe img{
        height: 300px;
    }
}

